sidebar.float.type
Prev | Property Sets | Next

## Name

sidebar.float.type — Select type of float for sidebar elements

## Synopsis

    <xsl:param name="sidebar.float.type" select="'none'"></xsl:param>

## Description

Selects the type of float for sidebar elements.

- If `sidebar.float.type` is “`none`”, then no float is used.

- If `sidebar.float.type` is “`before`”, then the float appears at the top of the page. On some processors, that may be the next page rather than the current page.

- If `sidebar.float.type` is “`left`” or “`start`”, then a left side float is used.

- If `sidebar.float.type` is “`right`” or “`end`”, then a right side float is used.

- If your XSL-FO processor supports floats positioned on the “`inside`” or “`outside`” of double-sided pages, then you have those two options for side floats as well.

Prev | Up | Next
sidebar.title.properties | Home | sidebar.float.width